---
# tasks file for role_managessh
- name: "Create {{ managessh_group }} group"
  group:
    name: "{{ managessh_group }}"
    state: "present"

- name: "Create {{ managessh_user }} user"
  user: 
    name: "{{ managessh_user }}"
    shell: "/bin/bash"
    groups: "{{ managessh_group }}" 
    state: "present"
    createhome: "true"

- name: "Install sudo"
  ansible.builtin.apt:
    name: "{{ managessh_packages }}"
    state: present
    update_cache: true

- name: "Add {{ managessh_user }} in sudoers"
  ansible.builtin.copy:
    content: "{{ managessh_user }} ALL=(ALL) NOPASSWD: ALL"
    dest: "/etc/sudoers.d/{{ managessh_user }}"
    owner: "root"
    group: "root"
    mode: "0440"

- name: "Create .ssh directory"
  ansible.builtin.file:
    path: /home/{{ managessh_user }}/.ssh
    owner: "{{ managessh_user }}"
    group: "{{ managessh_group }}"
    state: directory
    mode: '0700'

- name: "Add SSH keys"
  ansible.builtin.template:
    src: authorized_keys
    dest: /home/{{ managessh_user }}/.ssh/authorized_keys
    owner: "{{ managessh_user }}"
    group: "{{ managessh_user }}"
    mode: '0400'
  
# - name: "update SSH keys"
#   authorized_key:
#     user: "{{ managessh_user }}"
#     key: |
#       {% for filename in lookup('fileglob', 'files/pub_keys/*.pub', wantlist=true) -%}
#       {{ lookup('file', filename) }}
#       {% endfor %}
#     state: present
#     exclusive: true
